%define name python-gammu
%define version 0.20
%define ver_str %{version}
%define release 1

%define gammu_version %(rpm -q gammu-devel --qf='%%{version}' 2>/dev/null)

Summary:    Python module to communicate with mobile phones
Name:       %{name}
Version:    %{version}
Release:    %{release}%{?dist}
Source0:    %{name}-%{ver_str}.tar.bz2
License:    GPL
Group:      Applications/Communications
Packager:   Michal Cihar <michal@cihar.com>
Vendor:     Michal Cihar <michal@cihar.com>
Requires:   gammu = %{gammu_version}
BuildRequires: python
BuildRequires: gammu-devel >= 1.11.0
Url:        http://www.cihar.com/gammu/wammu
Buildroot:  %{_tmppath}/%{name}-%{version}-root

%description
This provides gammu module, that can work with any phone Gammu
supports - many Nokias, Siemens, Alcatel, ...

%prep
%setup -n %{name}-%{ver_str}

# drop executable flag from files in examples
find examples -type f -exec chmod a-x {} \;

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf -- $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS examples
%{_libdir}/python2.4/site-packages/gammu/*.pyo

%changelog
* Mon May 14 2007 Peter Hanecak <hany@hany.sk> 0.20-1
- updated to release 0.20
- dropped patches introduced in 0.19-5 package
- rebuild against gammu 1.11.0 (also bumped-up build requires)

* Fri May 11 2007 Peter Hanecak <hany@hany.sk> 0.19-5
- patched and rebuild against gammu 1.10.6

* Sun Apr 29 2007 Peter Hanecak <hany@hany.sk> 0.19-4
- rebuild against gammu 1.10.4

* Sat Apr 21 2007 Peter Hanecak <hany@hany.sk> 0.19-3
- rebuild against gammu 1.10.3

* Sun Mar 18 2007 Peter Hanecak <hany@hany.sk> 0.19-2
- rebuild against gammu 1.10.1

* Sat Feb 24 2007 Peter Hanecak <hany@hany.sk> 0.19-1
- adapted to Doors Linux
- added %%{?dist} into spec
